#include <Servo.h>
Servo myServo;

#define START_PIN 12
#define IN_PIN 0
#define SOUND 3
#define SERVO_PIN 9

int rTone = 220;
int rTone1 = 440;
int rTone2 = 880;
int rTone3 = 1000;
int newVal= 0;
int oldVal= 0;
long timestamp=0;

long servoStepTimer = 0;
int i = 100;

boolean startImpuls = false;
boolean forward = true;

void setup()

{
  myServo.attach(SERVO_PIN); 
  Serial.begin(9600);
  pinMode(START_PIN, INPUT);
  digitalWrite(START_PIN, HIGH);
}

void loop()
{
  if(digitalRead(START_PIN) == LOW)
  {
    startImpuls = true;
    servoStepTimer = millis();
  }

  if(startImpuls == true)
  {
    if(i<114 && forward == true)
    {
      if(millis()-servoStepTimer > 100)
      {
        myServo.write(i++);
        //delay(100);
        servoStepTimer = millis();
      }
    }

    if(i=114)
    {
      forward = false;
      i--;
    }

    if(i<113 && forward == false)
    {
      if(millis()-servoStepTimer > 100)
      {
        myServo.write(i--);
        //delay(100);
        servoStepTimer = millis();
      }
    }

    if(i=100 && forward == false)
    {
      forward = true;
    }

    delay(2000);



    newVal = analogRead(IN_PIN);
    newVal = (0.7*oldVal)+(0.3*newVal); //Smoothens out the value coming from the dial

      if(newVal <=  400)
      //if(newVal >= oldVal+10 || newVal < oldVal-10)
    {

      timestamp = millis();
      tone(SOUND,rTone);
      delay(500);
      tone(SOUND,rTone1);
      //tone(SOUND,2*rTone);

    }

    Serial.println(newVal);
    oldVal = newVal;
    Serial.println(oldVal);

    if(millis() - timestamp > 2000)
    {
      noTone(SOUND); //soundabstellen
    }

  }
}













