#define BUFFER_SIZE 20 // actual size of the buffer for integer values: (numberOfValsToRead*6)+(numberOfValsToRead-1)
#define LED_PIN 9
#define LED_PIN1 10
#define LED_PIN2 11
 
char incommingBuffer[BUFFER_SIZE]; // buffer to store incomming values
char incomming; // primary buffer to store single incommning bytes
int incommingCounter = 0; // counter for counting the positions inside the buffer
 
int firstValue, secondValue, thirdValue; // fourthValue, fifthValue, ... // add more if needed
 
void setup()
{
  Serial.begin(9600);
  
  pinMode(LED_PIN, OUTPUT);
  pinMode (LED_PIN1, OUTPUT);
  pinMode (LED_PIN2, OUTPUT);
    
}
 
void readSerial()
{
  while(Serial.available())
  {
    incomming = Serial.read(); // read single incommning bytes
 
    if(incomming != '\r') //if no carriage return is received proceed in reading the serial port
    {
      incommingBuffer[incommingCounter++] = incomming; // go on the next position in the buffer
    }
    else //read until a carriage ('\r') is received
    {
      incommingBuffer[incommingCounter] = '\0'; // set the last byte to NULL to sign it for the string operators
 
      char *a = strtok(incommingBuffer, ",.;"); // split the string after delimiters into tokens
      char *b = strtok(NULL, ",.;"); // ...
      char *c = strtok(NULL, ",.;"); // ...
      //char *d = strtok(NULL, ",.;"); // add another line if needed
 
      firstValue = atoi(a); // convert the strings into integers
      secondValue = atoi(b); // ...
      thirdValue = atoi(c); // ...
      //fourthValue = atoi(d); // add another line if needed    
 
      incommingCounter = 0; // reset the counter
      memset(incommingBuffer, 0, BUFFER_SIZE); //overwrite the incommingBuffer
    }
  }
}
 
void loop()
{
  readSerial(); // read the values available at the serial port
 
  analogWrite(LED_PIN, firstValue);
  analogWrite(LED_PIN1, secondValue);
  analogWrite(LED_PIN2, thirdValue);
  
  /*
 
  Serial.print(firstValue); // debugging
  Serial.print("\t");
  Serial.print(secondValue);
  Serial.print("\t");
  Serial.print(thirdValue);
  Serial.print("\t");
  //Serial.print(fourthValue); // add these lines if needed
  Serial.println(); // send a carriage return for debugging
  
  */
  
}
