#define FIRST_PIN 0 // Define the Analog Pins add more if needed
#define SECOND_PIN 1
 
int firstValue, secondValue; // Define Variables to store the analog Values

int oldVal= 0;
int newVal=0;

newVal = (0.7*oldVal)+(0.3*newVal); //Smoothens out the value coming from the dial

 
void setup()
{
  Serial.begin(9600); //Open the Serial Port with baudrate set to 9600
}
 
void loop()
{
  firstValue = analogRead(FIRST_PIN); // Read the first PIN
  secondValue = analogRead(SECOND_PIN); // Read the second PIN
 
  Serial.print(firstValue); // Send the first Value
  Serial.print(','); // Send a delimiter
  Serial.print(secondValue); // Send second Value
  Serial.print(','); // Send a delimiter
  Serial.println(); // Send a carriage-return
}
